io.vertx.ext.auth.oauth2

## Enum OAuth2FlowType

- java.lang.Object
- - java.lang.Enum<OAuth2FlowType>
  - - io.vertx.ext.auth.oauth2.OAuth2FlowType

- All Implemented Interfaces:
    Serializable, Comparable<OAuth2FlowType>

      public enum OAuth2FlowType
      extends Enum<OAuth2FlowType>

  OAuth2 Flows
  Author:
    Paulo Lopes

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AUTH_CODE`
    `AUTH_JWT` RFC7523
    `CLIENT`
    `PASSWORD`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static OAuth2FlowType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static OAuth2FlowType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### AUTH_CODE

          public static final OAuth2FlowType AUTH_CODE

    - #### CLIENT

          public static final OAuth2FlowType CLIENT

    - #### PASSWORD

          public static final OAuth2FlowType PASSWORD

    - #### AUTH_JWT

          public static final OAuth2FlowType AUTH_JWT

      RFC7523

  - ### Method Detail

    - #### values

          public static OAuth2FlowType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (OAuth2FlowType c : OAuth2FlowType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static OAuth2FlowType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2018 Eclipse. All rights reserved.